%define upstream_name    Test-XML-Valid
%define upstream_version 0.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Validate XML and XHTML
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::Builder::Tester)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Pod)
BuildRequires: perl(XML::LibXML)
BuildRequires: perl(Module::Build::Compat)
BuildArch: noarch

%description
Tests for Valid XHTML (using XML::LibXML). If the XML is not valid, a
message will be generated with specific details about where the parser
failed.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

#%%check
#%%make_build test

%install
%make_install

%files
%doc META.yml Changes LICENSE README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.40.0-11.mga10
+ Revision: 2200932
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.40.0-10.mga9
+ Revision: 1806289
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.40.0-9.mga8
+ Revision: 1497593
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.40.0-8.mga7
+ Revision: 1272021
- Mageia 7 Mass Rebuild

* Thu May 12 2016 tv <tv> 0.40.0-7.mga6
+ Revision: 1013946
- use std build macros; prevent commented out macros to break build

* Fri Feb 05 2016 umeabot <umeabot> 0.40.0-6.mga6
+ Revision: 938293
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.40.0-5.mga5
+ Revision: 743961
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.40.0-4.mga5
+ Revision: 686582
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.40.0-3.mga4
+ Revision: 515433
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.40.0-2.mga3
+ Revision: 373916
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 26 2011 kharec <kharec> 0.40.0-1.mga2
+ Revision: 172397
- remove checks
- add a missing br on Test::Pod
- imported package perl-Test-XML-Valid


* Sat Nov 26 2011 cpan2dist 0.04-1mga
- initial mageia release, generated with cpan2dist
